상품 목록 조회
curl --request GET \
--url https://api.steppay.kr/api/v1/products \
--header 'Secret-Token: <api-key>'import requests
url = "https://api.steppay.kr/api/v1/products"
headers = {"Secret-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Secret-Token': '<api-key>'}};
fetch('https://api.steppay.kr/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"last": true,
"size": 0,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"empty": true,
"first": true,
"number": 0,
"content": [
{
"id": 1,
"code": "string",
"name": "string",
"type": "BOX",
"prices": [
{
"id": 1,
"code": "string",
"plan": {
"name": "string",
"adminName": "string",
"description": "string",
"isHiddenFromShop": true,
"detailDescription": "string"
},
"type": "ONE_TIME",
"unit": "string",
"claim": {
"methodType": "PRE",
"billingDate": 0,
"provideStartDay": 0,
"whenToClaimType": "FIRST_PAYMENT"
},
"order": 0,
"price": 0,
"options": [
{
"id": 1,
"name": "string",
"type": "INITIALLY",
"price": 0,
"priceCode": "string",
"priceName": "string",
"productCode": "string",
"productType": "BOX",
"recurringDTO": {
"id": 1,
"interval": "DAY",
"usageType": "LICENSED",
"intervalCount": 0,
"aggregateUsageType": "SUM"
}
}
],
"volumes": [
{
"id": 1,
"max": 0,
"min": 0,
"price": 0
}
],
"planName": "string",
"createdAt": "9999-01-01T00:00:00",
"firstSale": {
"price": 0,
"enabled": true
},
"recurring": {
"id": 1,
"interval": "DAY",
"usageType": "LICENSED",
"intervalCount": 0,
"aggregateUsageType": "SUM"
},
"modifiedAt": "9999-01-01T00:00:00",
"billingDate": 0,
"setupOption": {
"id": 1,
"name": "string",
"type": "INITIALLY",
"price": 0,
"claimMethodType": "PRE"
},
"basicServing": 0,
"bundlePrices": [
{
"price": {},
"product": {
"id": 1,
"sku": "string",
"code": "string",
"name": "string",
"type": "BOX",
"notice": "string",
"prices": [
{}
],
"status": "SALE",
"groupId": 0,
"summary": "string",
"quantity": 0,
"subTitle": "string",
"createdAt": "9999-01-01T00:00:00",
"imageUrls": [
"string"
],
"useWidget": {
"useDemo": true,
"useNotice": true,
"useEventBadge": true,
"useOnetimePurchasable": true
},
"categories": [
{
"name": "string",
"categoryId": 0
}
],
"demoPeriod": 0,
"eventBadge": [
{
"event": "string",
"endDateTime": "9999-01-01T00:00:00",
"startDateTime": "9999-01-01T00:00:00"
}
],
"modifiedAt": "9999-01-01T00:00:00",
"vendorUuid": "206992bb-6462-4b4f-9847-cf2f40d55b48",
"description": "string",
"enabledDemo": true,
"optionGroups": [
{
"id": 1,
"name": "string",
"depth": 0,
"options": [
{
"id": 1,
"name": "string",
"price": 0,
"parent": 0,
"quantity": 0
}
]
}
],
"productOrder": 0,
"countrySetting": {
"id": 1,
"taxRate": 0,
"isDefault": true,
"countryCode": "string",
"currencyCode": "string",
"timezoneName": "string"
},
"demoPeriodUnit": "DAY",
"reasonOfReject": "string",
"useCombination": true,
"combinedProducts": [
{
"code": "string",
"name": "string",
"type": "BOX",
"prices": [
{}
],
"status": "SALE",
"options": [
{
"id": 1,
"name": "string",
"depth": 0,
"options": [
{
"id": 1,
"name": "string",
"price": 0,
"parent": 0,
"quantity": 0
}
]
}
],
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"description": "string"
}
],
"featuredImageUrl": "string",
"optionCombinations": [
{
"id": [
1
],
"price": 0,
"status": "SALE",
"quantity": 0
}
],
"isOnetimePurchasable": true
}
}
],
"firstSalePrice": 0,
"claimMethodType": "PRE",
"planDescription": "string",
"whenToClaimType": "FIRST_PAYMENT",
"additionalBilling": {
"id": 1,
"type": "USAGE_BASED_WITH_RANGE",
"ranges": [
{
"id": 1,
"price": 0,
"until": 0
}
]
},
"onetimeBundlePrice": 0,
"enabledFirstSalePrice": true,
"maximumPurchaseQuantity": 0,
"membershipExpirationDate": 0,
"membershipExpirationDateType": "DAY"
}
],
"status": "SALE",
"quantity": 0,
"createdAt": "9999-01-01T00:00:00",
"categories": [
{
"name": "string",
"categoryId": 0
}
],
"modifiedAt": "9999-01-01T00:00:00",
"vendorUuid": "206992bb-6462-4b4f-9847-cf2f40d55b48",
"description": "string",
"enabledDemo": true,
"productOrder": 0,
"countrySetting": {
"id": 1,
"taxRate": 0,
"isDefault": true,
"countryCode": "string",
"currencyCode": "string",
"timezoneName": "string"
},
"featuredImageUrl": "string",
"isOnetimePurchasable": true
}
],
"pageable": {
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"paged": true,
"offset": 0,
"unpaged": true,
"pageSize": 0,
"pageNumber": 0
},
"totalPages": 0,
"totalElements": 0,
"numberOfElements": 0
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}상품 API
상품 목록 조회
GET
/
api
/
v1
/
products
상품 목록 조회
Authorizations
Query Parameters
조회 시작 시점
조회 끝 시점
페이지 번호(기본값: 0)
페이지 크기(기본값: 20)
정렬 방향(오름차순: ASC, 내림차순: DESC(기본값))
정렬 기준값 - 기본값: 생성 시점
검색 키워드. 이름을 검색할 수 있습니다.
특정 카테고리 아이디에 포함되어 있는 상품 목록을 반환합니다.
지정한 상태만 목록을 반환하게 합니다.
Available options:
SALE, OUT_OF_STOCK, UNSOLD, WAITING_APPROVAL, REJECTED Response
정상적으로 조회됨
상품 목록
Show child attributes
Show child attributes
목록이 비어있는지 여부
첫 번째 페이지인지 여부
마지막 페이지인지 여부
페이지 번호
페이지 내 고객 목록 개수
Pagination 정보
Show child attributes
Show child attributes
페이지 크기
정렬 정보
Show child attributes
Show child attributes
전체 고객 개수
전체 페이지수
⌘I